echo "Hello, this is CMSdesktop" > /tmp/CMSdesktop
# add CERN servers to /etc/krb.conf
/bin/echo "CERN.CH" >> /etc/krb.conf
/bin/echo "CERN.CH afsdb1.cern.ch" >> /etc/krb.conf
/bin/echo "CERN.CH afsdb3.cern.ch" >> /etc/krb.conf
/bin/echo "CERN.CH afsdb2.cern.ch" >> /etc/krb.conf

# setup dCache
/bin/cp /etc/CMSdesktop/configfiles/dc_check /opt/d-cache/dcap/bin
/bin/cp /etc/CMSdesktop/configfiles/dc_stage /opt/d-cache/dcap/bin
/bin/ln -s /opt/d-cache/dcap/bin/dc_stage /usr/local/bin
/bin/ln -s /opt/d-cache/dcap/bin/dc_check /usr/local/bin
/bin/ln -s /opt/d-cache/dcap/bin/dccp /usr/local/bin

# create the mount points for the IBRIX and dCache nfs exports
/bin/mkdir -p /uscms
/bin/mkdir -p /uscms_data/d1
/bin/mkdir -p /pnfs/cms

# add the IBRIX and dCache nfs imports in /etc/fstab
/bin/echo "cmspnfs:/cms /pnfs/cms nfs sync,rsize=4096,wsize=4096,intr,bg,hard,rw,noac 0 0" >> /etc/fstab
/bin/echo "cmsstor20:/uscms /uscms nfs user,intr,hard,bg,rw,tcp,exec 0 0" >>/etc/fstab
/bin/echo "cmsstor20:/uscms_data/d1 /uscms_data/d1  nfs user,intr,hard,bg,rw,tcp,exec 0 0" >>/etc/fstab



# setup condor
/usr/sbin/groupadd -g 3302 condor
/usr/sbin/useradd -u 4716 -g 3302 -c "Condor user" -s /bin/true condor
/opt/condor-6.7.6/condor_configure --central-manager=cmssrv14.fnal.gov --type=submit --owner=condor --install-dir=/opt/condor-6.7.6
/bin/mkdir -p /etc/condor
/bin/cp  /opt/condor-6.7.6/etc/condor_config /etc/condor 
/bin/cp /etc/CMSdesktop/configfiles/condor /etc/rc.d/init.d
/sbin/chkconfig --level 345 condor on
/bin/echo " " >> /etc/csh.cshrc
/bin/echo "#Set condor path" >> /etc/csh.cshrc
/bin/echo "set path = ( /opt/condor-6.7.6/bin \$path )" >> /etc/csh.cshrc
/bin/mv /opt/condor-6.7.6/bin/condor_submit /opt/condor-6.7.6/bin/condor_submit_uaf
/bin/cp -p /etc/CMSdesktop/configfiles/condor_submit /opt/condor-6.7.6/bin
/bin/mv /opt/condor-6.7.6/local.localhost/condor_config.local /opt/condor-6.7.6/local.localhost/condor_config.local.bak
/bin/cat /opt/condor-6.7.6/local.localhost/condor_config.local.bak | /bin/sed s/DOMAIN\ =\ localdomain/DOMAIN\ =\ fnal.gov/g > /opt/condor-6.7.6/local.localhost/condor_config.local

# make gnome use local lock file
echo setenv GCONF_LOCAL_LOCKS 1 > /etc/profile.d/gnome.csh
echo export GCONF_LOCAL_LOCKS=1 > /etc/profile.d/gnome.sh

# enable kerberos password for screensaver unlock
echo session     optional      /lib/security/$ISA/pam_krb5afs.so >>/etc/pam.d/system-auth
